> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickPipe を削除

> **このendpointはベータです。** APIコントラクトは安定しており、今後互換性を損なう変更が行われる予定はありません。 <br /><br /> 指定したClickPipeを削除します。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json delete /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}:
    delete:
      tags:
        - ClickPipes
      summary: ClickPipe を削除
      description: >-
        **このendpointはベータです。** APIコントラクトは安定しており、今後互換性を損なう変更が行われる予定はありません。 <br
        /><br /> 指定したClickPipeを削除します。
      parameters:
        - description: serviceを所有する組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipeを所有するserviceのID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 削除するClickPipeのID。
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: errorの詳細な説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: client errorと判断される何らかの理由により、serverがリクエストを処理できないか、または処理しません。
components:
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````